JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class LMAccess.USER_INFO_1

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.LMAccess.USER_INFO_1

Enclosing interface:
  LMAccess

    public static class LMAccess.USER_INFO_1

extends Structure

The USER_INFO_1 structure contains information about a user account, including account name, password data, privilege level, and the path to the user's home directory.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`WString` `usri1_comment` Pointer to a Unicode string that contains a comment to associate with the user account.
`int` `usri1_flags` Specifies a DWORD value that determines several features.
`WString` `usri1_home_dir` Pointer to a Unicode string specifying the path of the home directory for the user specified in the usri1_name member.
`WString` `usri1_name` Pointer to a Unicode string that specifies the name of the user account.
`WString` `usri1_password` Pointer to a Unicode string that specifies the password of the user indicated by the usri1_name member.
`int` `usri1_password_age` Specifies a DWORD value that indicates the number of seconds that have elapsed since the usri1_password member was last changed.
`int` `usri1_priv` Specifies a DWORD value that indicates the level of privilege assigned to the usri1_name member.
`WString` `usri1_script_path` Pointer to a Unicode string specifying the path for the user's logon script file.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`LMAccess.USER_INFO_1()`
`LMAccess.USER_INFO_1(Pointer memory)`

Method Summary
`protected java.util.List` `getFieldOrder()` Return this Structure's field names in their proper order.

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### usri1_name

    public WString usri1_name

  Pointer to a Unicode string that specifies the name of the user account.

### usri1_password

    public WString usri1_password

  Pointer to a Unicode string that specifies the password of the user indicated by the usri1_name member.

### usri1_password_age

    public int usri1_password_age

  Specifies a DWORD value that indicates the number of seconds that have elapsed since the usri1_password member was last changed.

### usri1_priv

    public int usri1_priv

  Specifies a DWORD value that indicates the level of privilege assigned to the usri1_name member.

### usri1_home_dir

    public WString usri1_home_dir

  Pointer to a Unicode string specifying the path of the home directory for the user specified in the usri1_name member.

### usri1_comment

    public WString usri1_comment

  Pointer to a Unicode string that contains a comment to associate with the user account.

### usri1_flags

    public int usri1_flags

  Specifies a DWORD value that determines several features.

### usri1_script_path

    public WString usri1_script_path

  Pointer to a Unicode string specifying the path for the user's logon script file.

Constructor Detail

### LMAccess.USER_INFO_1

    public LMAccess.USER_INFO_1()

### LMAccess.USER_INFO_1

    public LMAccess.USER_INFO_1(Pointer memory)

Method Detail

### getFieldOrder

    protected java.util.List getFieldOrder()

  Description copied from class: `Structure`
  Return this Structure's field names in their proper order. For example,

       protected List getFieldOrder() {
           return Arrays.asList(new String[] { ... });
       }

  IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

       protected List getFieldOrder() {
           List fields = new ArrayList(super.getFieldOrder());
           fields.addAll(Arrays.asList(new String[] { ... }));
           return fields;
       }

  Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

  Specified by:
    `getFieldOrder` in class `Structure`

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.